/*
 * SPC input plugin for XMMS - GUI
 *
 * Copyright (C) 2000 AGAWA Koji <kaoru-k@self-core.104.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include "spcxmms.h"
#include "interface.h"
#include "support.h"
#include "libspc.h"

/* Widgets
   ---------------------------------------------------------------- */
GtkWidget *w_configure_window = NULL;
GtkCombo *w_sampling_rate;
GtkToggleButton *w_resolution_16;
GtkToggleButton *w_resolution_8;
GtkToggleButton *w_channels_2;
GtkToggleButton *w_channels_1;
GtkToggleButton *w_interpolation;
GtkToggleButton *w_echo;

static GtkWidget *w_tag = NULL;
static GtkEntry *w_songname;
static GtkEntry *w_gametitle;
static GtkEntry *w_dumpername;
static GtkEntry *w_author;
static GtkEntry *w_comments;
static GtkEntry *w_date_yyyy;
static GtkEntry *w_date_mm;
static GtkEntry *w_date_dd;
static GtkEntry *w_playtime;
static GtkEntry *w_fadetime;
static SPC_ID666 *spc_id666 = NULL;
static gchar *spc_id666_filename = NULL;

gint
option_menu_get_history (GtkWidget *omenu)
{
}

/* ---------------------------------------------------------------- */
static void tag_set_widgets (GtkWidget *w)
{
}

static void tag_set_states (SPC_ID666 *id)
{
}

void file_info_box (char *filename)
{
}

void
on_tag_save_clicked                    (GtkButton       *button,
                                        gpointer         user_data)
{
}


void
on_tag_remove_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{

}

void
on_tag_cancel_clicked                  (GtkButton       *button,
                                        gpointer         user_data)
{
}

/* configure window
   ================================================================ */
static void configure_set_widgets (GtkWidget *w)
{
}

static void configure_set_states (PluginConfig *cfg)
{
}

static void configure_get_states (PluginConfig *cfg)
{
}

void configure (void)
{
}

  
void on_config_changed (void);

void
on_cf_ok_clicked                       (GtkButton       *button,
                                        gpointer         user_data)
{
}

void
on_cf_cancel_clicked                   (GtkButton       *button,
                                        gpointer         user_data)
{
}

void
on_cf_apply_clicked                    (GtkButton       *button,
                                        gpointer         user_data)
{
}

