#include <xmms_ahx.h>

class AHXConfigWin
{
public:
    // create/destroy dialog window.
    AHXConfigWin(AHXConfigWin **ptr, MyAHXConfig *cfg);
    ~AHXConfigWin();

protected:
    void GadgetsToConfig (void);

    static void Destroy (GtkWidget *widget, GdkEvent *ev, gpointer data);
    static void Ok (GtkWidget *widget, gpointer data);
    static void Apply (GtkWidget *widget, gpointer data);
    static void Cancel (GtkWidget *widget, gpointer data);

private:
    MyAHXConfig *cfg;
    GtkWidget *_dialog;       // the dialog widget
    GtkWidget *Res_16, *Res_8;
    GtkWidget *Chan_ST, *Chan_MO;
    GtkWidget *Sample_44, *Sample_22, *Sample_11;
    GtkWidget *Oversampling_Check;
    GtkWidget *LoopSubsong_Check;
    GtkObject *Boost_Adj;
};

AHXConfigWin::AHXConfigWin(AHXConfigWin **ptr, MyAHXConfig *cfg)
{
}


AHXConfigWin::~AHXConfigWin()
{
}

// called from buttons
static int idle_destroy (gpointer data)
{
    AHXConfigWin **ptr = static_cast<AHXConfigWin **>(data);
    delete *ptr;
    *ptr = 0;    
    return FALSE;
}


void 
AHXConfigWin::Destroy(GtkWidget *widget, GdkEvent *ev, gpointer data)
{
    AHXConfigWin **ptr = static_cast<AHXConfigWin **>(data);
//    AHXConfigWin **ptr = (AHXConfigWin **)data;
    delete *ptr;
    *ptr = 0;    
}

void 
AHXConfigWin::Cancel(GtkWidget *widget, gpointer data)
{
}

void 
AHXConfigWin::GadgetsToConfig()
{
}

void 
AHXConfigWin::Ok(GtkWidget *widget, gpointer data)
{
}

void 
AHXConfigWin::Apply(GtkWidget *widget, gpointer data)
{
}


void ip_configure(void)
{
}

