/* Here I try to do a little song/position panel ...
 */

/*
 * 6-Mar-2000 : trying to fix/hide inconsistencies before
 * first release ...
 */

#include <gtk/gtk.h>
#include "modctrlpanel.h"

enum {
    POSITION_CHANGED,
    SONG_CHANGED,
    LAST_SIGNAL
};

static void modctrlpanel_class_init          (ModCtrlPanelClass *klass);
static void modctrlpanel_init                (ModCtrlPanel      *mcp);

static gint modctrlpanel_signals[LAST_SIGNAL];
static GtkWindowClass *parent_class = NULL;

static char *position_label_text = NULL;
static char *song_label_text = NULL;


static void
modctrlpanel_destroy (GtkObject *object);
static void 
modctrlpanel_prev_song (GtkWidget *widget, ModCtrlPanel *mcp);
static void
modctrlpanel_next_song (GtkWidget *widget, ModCtrlPanel *mcp);
static void 
modctrlpanel_prev_position (GtkWidget *widget, ModCtrlPanel *mcp);
static void 
modctrlpanel_next_position (GtkWidget *widget, ModCtrlPanel *mcp);


/**************************/
/*  Function definitions  */

guint
modctrlpanel_get_type()
{
}

static void
modctrlpanel_class_init (ModCtrlPanelClass *class)
{
}


static void
modctrlpanel_init (ModCtrlPanel *mcp)
{
}


GtkWidget*
modctrlpanel_new ()
{
}

/*
 * position : new position to display. If -1, redisplay current
 * position.
 */
void 
modctrlpanel_set_position (ModCtrlPanel *mcp, int position)
{
}

void 
modctrlpanel_set_song (ModCtrlPanel *mcp, int song)
{
}


void 
modctrlpanel_set_max_position (ModCtrlPanel *mcp, int maxposition)
{
    mcp->max_position = maxposition;
}

void 
modctrlpanel_set_max_song (ModCtrlPanel *mcp, int maxsong)
{

    mcp->max_song = maxsong;
}


static void 
modctrlpanel_prev_song (GtkWidget *widget, ModCtrlPanel *mcp)
{
}

static void
modctrlpanel_next_song (GtkWidget *widget, ModCtrlPanel *mcp)
{
}

static void 
modctrlpanel_prev_position (GtkWidget *widget, ModCtrlPanel *mcp)
{
}


static void 
modctrlpanel_next_position (GtkWidget *widget, ModCtrlPanel *mcp)
{
}


static void
modctrlpanel_destroy (GtkObject *object)
{
}

void 
modctrlpanel_set_info_text (ModCtrlPanel *mcp, const gchar *s)
{
}

void 
modctrlpanel_position_buttons_set_sensitive (ModCtrlPanel *mcp, gboolean flag)
{
}

void 
modctrlpanel_song_buttons_set_sensitive (ModCtrlPanel *mcp, gboolean flag)
{
}

