#include <xmms_ahx.h>
#include <cstring>

// defined in this file
void ip_file_info_box(char *filename);
GtkWidget *ahx_info_tree_create(AHXPlayer *player);


class AHXInfoWin
{
public:
    // create/destroy dialog window.
    AHXInfoWin(AHXInfoWin **ptr);
    ~AHXInfoWin();

    // Refresh window with this file's infos.
    void Load(char *filename);

protected:
    // Destroy dialog content before creating new content
    void Clear ();
    static void Close(GtkWidget *widget, gpointer data);
    static void Destroy (GtkWidget *widget, GdkEvent *ev, gpointer data);

private:
    GtkWidget *_dialog;       // the dialog widget
    GtkWidget *_scrolled_win; // tree container
    GtkWidget *_tree;
};

AHXInfoWin::AHXInfoWin(AHXInfoWin **ptr)
{
}

AHXInfoWin::~AHXInfoWin()
{
}

static int idle_destroy (gpointer data)
{
    AHXInfoWin **ptr = static_cast<AHXInfoWin **>(data);
//    AHXInfoWin **ptr = (AHXInfoWin **)data;
    delete *ptr;
    *ptr = 0;    
    return FALSE;
}


void 
AHXInfoWin::Destroy(GtkWidget *widget, GdkEvent *ev, gpointer data)
{
    AHXInfoWin **ptr = static_cast<AHXInfoWin **>(data);
//    AHXInfoWin **ptr = (AHXInfoWin **)data;
    delete *ptr;
    *ptr = 0;    
}

void 
AHXInfoWin::Close(GtkWidget *widget, gpointer data)
{
}

void
AHXInfoWin::Clear()
{
}

void
AHXInfoWin::Load(char *filename)
{
}


void ip_file_info_box(char *filename)
{
}

GtkWidget *
ahx_info_tree_create(AHXPlayer *player)
{
}



